IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_new_webservice]') AND type = 'P')
DROP PROCEDURE [dbo].[pub_new_webservice]
GO
create procedure [dbo].[pub_new_webservice]   
@cmpid int 
as  
begin  
    set nocount on   
declare @svcid bigint
insert into ebs_kernel..pub_webservice
(svc_cmpid,svc_name,svc_url,svc_method,
svc_paramtype,svc_resulttype,
svc_language,svc_cycle,svc_extsql,svc_biztype)
values(@cmpid,'','','POST','','xml','default','','','')

select @svcid = @@IDENTITY 

select svc_id,svc_cmpid,svc_name,svc_url,svc_method,svc_paramtype,svc_resulttype,svc_note,svc_language,
convert(varchar(50),svc_extsql) svc_extsql ,
svc_displayflds,svc_resultfld,svc_nextexecute,svc_cycle,svc_bizid,svc_biztype,svc_bizparams 
from  ebs_kernel..pub_webservice where svc_id = @svcid 

set nocount off  
end